## i3-wm 4.2

=== Makefile ===
TOPDIR=$(shell pwd)

include $(TOPDIR)/common.mk

# Depend on the object files of all source-files in src/*.c and on all header files
AUTOGENERATED:=src/cfgparse.tab.c src/cfgparse.yy.c
FILES:=$(filter-out $(AUTOGENERATED),$(wildcard src/*.c))
FILES:=$(FILES:.c=.o)
HEADERS:=$(filter-out include/loglevels.h,$(wildcard include/*.h))
CMDPARSE_HEADERS:=include/GENERATED_call.h include/GENERATED_enums.h include/GENERATED_tokens.h

# Recursively generate loglevels.h by explicitly calling make
# We need this step because we need to ensure that loglevels.h will be
# updated if necessary, but we also want to save rebuilds of the object
# files, so we cannot let the object files depend on loglevels.h.
ifeq ($(MAKECMDGOALS),loglevels.h)
#UNUSED:=$(warning Generating loglevels.h)
else
UNUSED:=$(shell $(MAKE) loglevels.h)
endif

SUBDIRS:=i3-msg i3-input i3-nagbar i3-config-wizard i3bar i3-dump-log

# Depend on the specific file (.c for each .o) and on all headers
src/%.o: src/%.c ${HEADERS}
	echo "[i3] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -DLOGLEVEL="((uint64_t)1 << $(shell awk '/$(shell basename $< .c)/ { print NR; exit 0; }' loglevels.tmp))" -c -o $@ $<

all: i3 subdirs

i3: libi3/libi3.a src/cfgparse.y.o src/cfgparse.yy.o ${FILES}
	echo "[i3] LINK i3"
	$(CC) $(LDFLAGS) -o $@ $(filter-out libi3/libi3.a,$^) $(LIBS)

libi3/%.a: libi3/*.c
	$(MAKE) -C libi3

subdirs:
	for dir in $(SUBDIRS); do \
		echo ""; \
		echo "MAKE $$dir"; \
		$(MAKE) -C $$dir; \
	done

loglevels.h:
	echo "[i3] LOGLEVELS"
	for file in $$(ls src/*.c src/*.y src/*.l | grep -v 'cfgparse.\(tab\|yy\).c'); \
	do \
		echo $$(basename $$file .c); \
	done > loglevels.tmp
	(echo "char *loglevels[] = {"; for file in $$(cat loglevels.tmp); \
	do \
		echo "\"$$file\", "; \
	done; \
	echo "};") > include/loglevels.h;

# The GENERATED_* files are actually all created from a single pass, so all
# files just depend on the first one.
include/GENERATED_call.h: generate-command-parser.pl parser-specs/commands.spec
	echo "[i3] Generating command parser"
	(cd include; ../generate-command-parser.pl)
include/GENERATED_enums.h: include/GENERATED_call.h
include/GENERATED_tokens.h: include/GENERATED_call.h

# This target compiles the command parser twice:
# Once with -DTEST_PARSER, creating a stand-alone executable used for tests,
# and once as an object file for i3.
src/commands_parser.o: src/commands_parser.c ${HEADERS} ${CMDPARSE_HEADERS}
	echo "[i3] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -DTEST_PARSER -DLOGLEVEL="((uint64_t)1 << $(shell awk '/$(shell basename $< .c)/ { print NR; exit 0; }' loglevels.tmp))" -o test.commands_parser $< $(LIBS)
	$(CC) $(CPPFLAGS) $(CFLAGS) -DLOGLEVEL="((uint64_t)1 << $(shell awk '/$(shell basename $< .c)/ { print NR; exit 0; }' loglevels.tmp))" -c -o $@ $<

src/cfgparse.yy.o: src/cfgparse.l src/cfgparse.y.o ${HEADERS}
	echo "[i3] LEX $<"
	$(FLEX) -i -o$(@:.o=.c) $<
	$(CC) $(CPPFLAGS) $(CFLAGS) -DLOGLEVEL="(1 << $(shell awk '/cfgparse.l/ { print NR }' loglevels.tmp))" -c -o $@ $(@:.o=.c)


src/cfgparse.y.o: src/cfgparse.y ${HEADERS}
	echo "[i3] YACC $<"
	$(BISON) --debug --verbose -b $(basename $< .y) -d $<
	$(CC) $(CPPFLAGS) $(CFLAGS) -DLOGLEVEL="(1 << $(shell awk '/cfgparse.y/ { print NR }' loglevels.tmp))" -c -o $@ $(<:.y=.tab.c)


install: all
	echo "[i3] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -d -m 0755 $(DESTDIR)$(SYSCONFDIR)/i3
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/include/i3
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/share/xsessions
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL) -m 0755 i3 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 0755 i3-migrate-config-to-v4 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 0755 i3-sensible-editor $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 0755 i3-sensible-pager $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 0755 i3-sensible-terminal $(DESTDIR)$(PREFIX)/bin/
	test -e $(DESTDIR)$(SYSCONFDIR)/i3/config || $(INSTALL) -m 0644 i3.config $(DESTDIR)$(SYSCONFDIR)/i3/config
	test -e $(DESTDIR)$(SYSCONFDIR)/i3/config.keycodes || $(INSTALL) -m 0644 i3.config.keycodes $(DESTDIR)$(SYSCONFDIR)/i3/config.keycodes
	$(INSTALL) -m 0644 i3.welcome $(DESTDIR)$(SYSCONFDIR)/i3/welcome
	$(INSTALL) -m 0644 i3.xsession.desktop $(DESTDIR)$(PREFIX)/share/xsessions/i3.desktop
	$(INSTALL) -m 0644 i3.applications.desktop $(DESTDIR)$(PREFIX)/share/applications/i3.desktop
	$(INSTALL) -m 0644 include/i3/ipc.h $(DESTDIR)$(PREFIX)/include/i3/
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir install; \
	done

dist: distclean
	[ ! -d i3-${VERSION} ] || rm -rf i3-${VERSION}
	[ ! -e i3-${VERSION}.tar.bz2 ] || rm i3-${VERSION}.tar.bz2
	mkdir i3-${VERSION}
	cp i3-migrate-config-to-v4 generate-command-parser.pl i3-sensible-* i3.config.keycodes DEPENDS GOALS LICENSE PACKAGE-MAINTAINER RELEASE-NOTES-${VERSION} i3.config i3.xsession.desktop i3.applications.desktop i3.welcome pseudo-doc.doxygen i3-wsbar Makefile i3-${VERSION}
	cp -r src libi3 i3-msg i3-nagbar i3-config-wizard i3bar i3-dump-log yajl-fallback include man parser-specs i3-${VERSION}
	# Only copy toplevel documentation (important stuff)
	mkdir i3-${VERSION}/docs
	# Pre-generate documentation
	$(MAKE) -C docs
	$(MAKE) -C i3bar/doc
	# Cleanup τεχ output files
	find docs -regex ".*\.\(aux\|out\|log\|toc\|bm\|dvi\|log\)" -exec rm '{}' \;
	find docs -maxdepth 1 -type f ! \( -name "*.xcf" -or -name "*.svg" \) -exec cp '{}' i3-${VERSION}/docs \;
	# Only copy source code from i3-input
	mkdir i3-${VERSION}/i3-input
	find i3-input -maxdepth 1 -type f \( -name "*.c" -or -name "*.h" -or -name "Makefile" \) -exec cp '{}' i3-${VERSION}/i3-input \;
	sed -e 's/^GIT_VERSION:=\(.*\)/GIT_VERSION:=$(shell /bin/echo '${GIT_VERSION}' | sed 's/\\/\\\\/g')/g;s/^VERSION:=\(.*\)/VERSION:=${VERSION}/g' common.mk > i3-${VERSION}/common.mk
	# Pre-generate a manpage to allow distributors to skip this step and save some dependencies
	$(MAKE) -C man
	cp man/*.1 i3-${VERSION}/man/
	cp i3bar/doc/*.1 i3-${VERSION}/i3bar/doc/
	tar cfj i3-${VERSION}.tar.bz2 i3-${VERSION}
	rm -rf i3-${VERSION}

clean:
	rm -f src/*.o src/*.gcno src/cmdparse.* src/cfgparse.tab.{c,h} src/cfgparse.yy.c src/cfgparse.{output,dot} loglevels.tmp include/loglevels.h include/GENERATED_*
	(which lcov >/dev/null 2>&1 && lcov -d . --zerocounters) || true
	$(MAKE) -C libi3 clean
	$(MAKE) -C docs clean
	$(MAKE) -C man clean
	for dir in $(SUBDIRS); do \
		echo ""; \
		echo "CLEAN $$dir"; \
		$(MAKE) TOPDIR=$(TOPDIR) -C $$dir distclean; \
	done

distclean: clean
	rm -f i3
	for dir in $(SUBDIRS); do \
		echo ""; \
		echo "DISTCLEAN $$dir"; \
		$(MAKE) TOPDIR=$(TOPDIR) -C $$dir distclean; \
	done

coverage:
	rm -f /tmp/i3-coverage.info
	rm -rf /tmp/i3-coverage
	lcov -d . -b . --capture -o /tmp/i3-coverage.info
	genhtml -o /tmp/i3-coverage/ /tmp/i3-coverage.info

=== docs/Makefile ===
# To pass additional parameters for asciidoc
ASCIIDOC=asciidoc

ASCIIDOC_TARGETS:=hacking-howto.html debugging.html debugging-release-version.html userguide.html ipc.html multi-monitor.html wsbar.html testsuite.html i3bar-protocol.html

all: ${ASCIIDOC_TARGETS}

hacking-howto.html: hacking-howto
	$(ASCIIDOC) -a toc -n $<

i3bar-protocol.html: i3bar-protocol
	$(ASCIIDOC) -a toc -n $<

debugging.html: debugging
	$(ASCIIDOC) -n $<

debugging-release-version.html: debugging-release-version
	$(ASCIIDOC) -n $<

userguide.html: userguide
	$(ASCIIDOC) -a toc -n $<

testsuite.html: testsuite
	$(ASCIIDOC) -a toc -n $<

ipc.html: ipc
	$(ASCIIDOC) -a toc -n $<

multi-monitor.html: multi-monitor
	$(ASCIIDOC) -a toc -n $<

wsbar.html: wsbar
	$(ASCIIDOC) -a toc -n $<

clean:
	rm -f ${ASCIIDOC_TARGETS}

=== i3-config-wizard/Makefile ===
# Default value so one can compile i3-input standalone
TOPDIR=..

include $(TOPDIR)/common.mk

# Depend on the object files of all source-files in src/*.c and on all header files
AUTOGENERATED:=cfgparse.tab.c cfgparse.yy.c
FILES:=$(patsubst %.c,%.o,$(filter-out $(AUTOGENERATED),$(wildcard *.c)))
HEADERS:=$(wildcard *.h)

CPPFLAGS += -I$(TOPDIR)/include

# Depend on the specific file (.c for each .o) and on all headers
%.o: %.c ${HEADERS}
	echo "[i3-config-wizard] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

all: i3-config-wizard

i3-config-wizard: $(TOPDIR)/libi3/libi3.a cfgparse.y.o cfgparse.yy.o ${FILES}
	echo "[i3-config-wizard] LINK i3-config-wizard"
	$(CC) $(LDFLAGS) -o $@ $(filter-out libi3/libi3.a,$^) $(LIBS)

$(TOPDIR)/libi3/%.a: $(TOPDIR)/libi3/*.c
	$(MAKE) -C $(TOPDIR)/libi3

cfgparse.yy.o: cfgparse.l cfgparse.y.o ${HEADERS}
	echo "[i3-config-wizard] LEX $<"
	$(FLEX) -i -o$(@:.o=.c) $<
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $(@:.o=.c)

cfgparse.y.o: cfgparse.y ${HEADERS}
	echo "[i3-config-wizard] YACC $<"
	$(BISON) --debug --verbose -b $(basename $< .y) -d $<
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $(<:.y=.tab.c)


install: all
	echo "[i3-config-wizard] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 i3-config-wizard $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -f *.o cfgparse.tab.{c,h} cfgparse.output cfgparse.yy.c

distclean: clean
	rm -f i3-config-wizard

=== i3-dump-log/Makefile ===
# Default value so one can compile i3-dump-log standalone
TOPDIR=..

include $(TOPDIR)/common.mk

CFLAGS += -I$(TOPDIR)/include

# Depend on the object files of all source-files in src/*.c and on all header files
FILES=$(patsubst %.c,%.o,$(wildcard *.c))
HEADERS=$(wildcard *.h)

# Depend on the specific file (.c for each .o) and on all headers
%.o: %.c ${HEADERS}
	echo "[i3-dump-log] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

all: i3-dump-log

i3-dump-log: ${FILES}
	echo "[i3-dump-log] LINK i3-dump-log"
	$(CC) $(LDFLAGS) -o i3-dump-log ${FILES} $(LIBS)

install: all
	echo "[i3-dump-log] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 i3-dump-log $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -f *.o

distclean: clean
	rm -f i3-dump-log

=== i3-input/Makefile ===
# Default value so one can compile i3-input standalone
TOPDIR=..

include $(TOPDIR)/common.mk

CPPFLAGS += -I$(TOPDIR)/include

# Depend on the object files of all source-files in src/*.c and on all header files
FILES=$(patsubst %.c,%.o,$(wildcard *.c))
HEADERS=$(wildcard *.h)

# Depend on the specific file (.c for each .o) and on all headers
%.o: %.c ${HEADERS}
	echo "[i3-input] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

all: i3-input

i3-input: $(TOPDIR)/libi3/libi3.a ${FILES}
	echo "[i3-input] LINK i3-input"
	$(CC) $(LDFLAGS) -o $@ $(filter-out libi3/libi3.a,$^) $(LIBS)

$(TOPDIR)/libi3/%.a: $(TOPDIR)/libi3/*.c
	$(MAKE) -C $(TOPDIR)/libi3

install: all
	echo "[i3-input] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 i3-input $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -f *.o

distclean: clean
	rm -f i3-input

=== i3-msg/Makefile ===
# Default value so one can compile i3-msg standalone
TOPDIR=..

include $(TOPDIR)/common.mk

CFLAGS += -I$(TOPDIR)/include

# Depend on the object files of all source-files in src/*.c and on all header files
FILES=$(patsubst %.c,%.o,$(wildcard *.c))
HEADERS=$(wildcard *.h)

# Depend on the specific file (.c for each .o) and on all headers
%.o: %.c ${HEADERS}
	echo "[i3-msg] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

all: i3-msg

i3-msg: ${FILES}
	echo "[i3-msg] LINK i3-msg"
	$(CC) $(LDFLAGS) -o i3-msg ${FILES} $(LIBS)

install: all
	echo "[i3-msg] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 i3-msg $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -f *.o

distclean: clean
	rm -f i3-msg

=== i3-nagbar/Makefile ===
# Default value so one can compile i3-nagbar standalone
TOPDIR=..

include $(TOPDIR)/common.mk

CPPFLAGS += -I$(TOPDIR)/include

# Depend on the object files of all source-files in src/*.c and on all header files
FILES=$(patsubst %.c,%.o,$(wildcard *.c))
HEADERS=$(wildcard *.h)

# Depend on the specific file (.c for each .o) and on all headers
%.o: %.c ${HEADERS}
	echo "[i3-nagbar] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

all: i3-nagbar

i3-nagbar: $(TOPDIR)/libi3/libi3.a ${FILES}
	echo "[i3-nagbar] LINK i3-nagbar"
	$(CC) $(LDFLAGS) -o $@ $(filter-out libi3/libi3.a,$^) $(LIBS)

$(TOPDIR)/libi3/%.a: $(TOPDIR)/libi3/*.c
	$(MAKE) -C $(TOPDIR)/libi3

install: all
	echo "[i3-nagbar] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 i3-nagbar $(DESTDIR)$(PREFIX)/bin/

clean:
	rm -f *.o

distclean: clean
	rm -f i3-nagbar

=== i3bar/Makefile ===
TOPDIR=..

include $(TOPDIR)/common.mk

FILES:=$(wildcard src/*.c)
FILES:=$(FILES:.c=.o)
HEADERS:=$(wildcard include/*.h)

CPPFLAGS += -I$(TOPDIR)/include

all: i3bar doc

i3bar: $(TOPDIR)/libi3/libi3.a ${FILES}
	echo "[i3bar] LINK"
	$(CC) $(LDFLAGS) -o $@ $(filter-out libi3/libi3.a,$^) $(LIBS)

$(TOPDIR)/libi3/%.a: $(TOPDIR)/libi3/*.c
	$(MAKE) -C $(TOPDIR)/libi3

doc:
	echo ""
	echo "[i3bar] SUBDIR doc"
	$(MAKE) -C doc

src/%.o: src/%.c ${HEADERS}
	echo "[i3bar] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

install: all
	echo "[i3bar] INSTALL"
	$(INSTALL) -d -m 0755 $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 0755 i3bar $(DESTDIR)$(PREFIX)/bin

clean:
	rm -f src/*.o
	$(MAKE) -C doc clean

distclean: clean
	rm -f i3bar
	$(MAKE) -C doc distclean

.PHONY: install clean distclean doc

=== libi3/Makefile ===
# Default value so one can compile i3-msg standalone
TOPDIR=..

include $(TOPDIR)/common.mk

CFLAGS += -I$(TOPDIR)/include

# Depend on the object files of all source-files in src/*.c and on all header files
FILES=$(patsubst %.c,%.o,$(wildcard *.c))
HEADERS=$(wildcard *.h)

# Depend on the specific file (.c for each .o) and on all headers
%.o: %.c ${HEADERS}
	echo "[libi3] CC $<"
	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<

all: libi3.a

libi3.a: ${FILES}
	echo "[libi3] AR libi3.a"
	ar rcs libi3.a ${FILES}

clean:
	rm -f *.o libi3.a

distclean: clean

=== man/Makefile ===
A2M:=a2x -f manpage --asciidoc-opts="-f asciidoc.conf"

all: i3.1 i3-msg.1 i3-input.1 i3-nagbar.1 i3-wsbar.1 i3-config-wizard.1 i3-migrate-config-to-v4.1 i3-sensible-editor.1 i3-sensible-pager.1 i3-sensible-terminal.1 i3-dump-log.1

%.1: %.man asciidoc.conf
	${A2M} $<

i3-wsbar.1: ../i3-wsbar
	pod2man $^ > $@

clean:
	for file in $$(echo i3 i3-msg i3-input i3-nagbar i3-wsbar i3-config-wizard i3-migrate-config-to-v4 i3-sensible-editor i3-sensible-pager i3-sensible-terminal i3-dump-log); \
	do \
		rm -f $${file}.1 $${file}.html $${file}.xml; \
	done

distclean: clean
	rm -f *.1

=== i3bar/doc/Makefile ===
all: i3bar.1

i3bar.1: i3bar.man
	echo "A2X i3bar"
	a2x --no-xmllint -f manpage i3bar.man
clean:
	rm -f i3bar.xml i3bar.1 i3bar.html

distclean: clean

=== debian/changelog ===
i3-wm (4.2-2) unstable; urgency=low

  * Backport commit 1089b0b to fix resizing floating windows by height
    (Closes: #696758)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 01 Jan 2013 18:35:45 +0100

i3-wm (4.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 25 Apr 2012 23:19:44 +0200

i3-wm (4.1.2-3) unstable; urgency=low

  * Disable generation of docs/refcard.pdf (Closes: #666363)
  * Add debian/i3-wm.menu (Closes: #664697)
  * Bump standards-version to 3.9.3 (no changes needed)
  * Fix 'section' field of the i3-wm source package to 'x11'
  * Email change: Michael Stapelberg -> stapelberg@debian.org

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 12 Apr 2012 16:09:58 +0200

=== debian/control ===
Source: i3-wm
Section: x11
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxcb-util0-dev (>= 0.3.8), libxcb-keysyms1-dev, libxcb-xinerama0-dev (>= 1.1), libxcb-randr0-dev, libxcb-icccm4-dev, libxcursor-dev, asciidoc (>= 8.4.4), xmlto, docbook-xml, pkg-config, libev-dev, flex, bison, libyajl-dev, libpcre3-dev, libstartup-notification0-dev (>= 0.10)
Standards-Version: 3.9.3
Homepage: http://i3wm.org/

Package: i3
Architecture: any
Depends: i3-wm (=${binary:Version}), ${misc:Depends}
Recommends: i3lock (>= 2.2), suckless-tools, i3status (>= 2.3)
Description: metapackage (i3 window manager, screen locker, menu, statusbar)
 This metapackage installs the i3 window manager (i3-wm), the i3lock screen
 locker, i3status (for system information) and suckless-tools (for dmenu).
 These are all the tools you need to use the i3 window manager efficiently.

Package: i3-wm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, x11-utils
Provides: x-window-manager
Suggests: rxvt-unicode | x-terminal-emulator
Recommends: xfonts-base
Description: improved dynamic tiling window manager
 Key features of i3 are good documentation, reasonable defaults (changeable in
 a simple configuration file) and good multi-monitor support. The user
 interface is designed for power users and emphasizes keyboard usage. i3 uses
 XCB for asynchronous communication with X11 and aims to be fast and
 light-weight.
 .
 Please be aware i3 is primarily targeted at advanced users and developers.

Package: i3-wm-dbg
Architecture: any
Section: debug
Depends: i3-wm (=${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the i3 window manager
 Debugging symbols for the i3 window manager. Please install this to produce
 useful backtraces before creating new tickets.

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh build
	touch build-stamp

clean:
	dh clean

install: build install-stamp
install-stamp:
	dh install
	touch install-stamp

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C man
	$(MAKE) -C docs

override_dh_installchangelogs:
	dh_installchangelogs RELEASE-NOTES-4.2

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/i3-wm/ install

override_dh_strip:
	dh_strip --dbg-package=i3-wm-dbg

## i3-wm 4.5.1

=== Makefile ===
TOPDIR=$(shell pwd)

include $(TOPDIR)/common.mk

SUBDIRS:=

ALL_TARGETS =
INSTALL_TARGETS =
CLEAN_TARGETS =
DISTCLEAN_TARGETS =

all: real-all

include libi3/libi3.mk
include src/i3.mk
include i3-config-wizard/i3-config-wizard.mk
include i3-msg/i3-msg.mk
include i3-input/i3-input.mk
include i3-nagbar/i3-nagbar.mk
include i3bar/i3bar.mk
include i3-dump-log/i3-dump-log.mk
include docs/docs.mk
include man/man.mk

real-all: $(ALL_TARGETS)

install: $(INSTALL_TARGETS)

dist: distclean
	[ ! -d i3-${VERSION} ] || rm -rf i3-${VERSION}
	[ ! -e i3-${VERSION}.tar.bz2 ] || rm i3-${VERSION}.tar.bz2
	mkdir i3-${VERSION}
	cp i3-migrate-config-to-v4 generate-command-parser.pl i3-sensible-* i3-dmenu-desktop i3.config.keycodes DEPENDS LICENSE PACKAGE-MAINTAINER RELEASE-NOTES-${VERSION} i3.config i3.xsession.desktop i3.applications.desktop pseudo-doc.doxygen common.mk Makefile i3-${VERSION}
	cp -r src libi3 i3-msg i3-nagbar i3-config-wizard i3bar i3-dump-log yajl-fallback include man parser-specs testcases i3-${VERSION}
	# Only copy toplevel documentation (important stuff)
	mkdir i3-${VERSION}/docs
	# Pre-generate documentation
	$(MAKE) docs
	# Cleanup τεχ output files
	find docs -regex ".*\.\(aux\|out\|log\|toc\|bm\|dvi\|log\)" -exec rm '{}' \;
	find docs -maxdepth 1 -type f ! \( -name "*.xcf" -or -name "*.svg" \) -exec cp '{}' i3-${VERSION}/docs \;
	# Only copy source code from i3-input
	mkdir i3-${VERSION}/i3-input
	find i3-input -maxdepth 1 -type f \( -name "*.c" -or -name "*.mk" -or -name "*.h" -or -name "Makefile" \) -exec cp '{}' i3-${VERSION}/i3-input \;
	echo -n ${I3_VERSION} > i3-${VERSION}/I3_VERSION
	echo -n ${VERSION} > i3-${VERSION}/VERSION
	# Pre-generate a manpage to allow distributors to skip this step and save some dependencies
	$(MAKE) mans
	cp man/*.1 i3-${VERSION}/man/
	tar cfj i3-${VERSION}.tar.bz2 i3-${VERSION}
	rm -rf i3-${VERSION}

clean: $(CLEAN_TARGETS)
	(which lcov >/dev/null 2>&1 && lcov -d . --zerocounters) || true

distclean: clean $(DISTCLEAN_TARGETS)

coverage:
	rm -f /tmp/i3-coverage.info
	rm -rf /tmp/i3-coverage
	lcov -d . -b . --capture -o /tmp/i3-coverage.info
	genhtml -o /tmp/i3-coverage/ /tmp/i3-coverage.info

=== debian/changelog ===
i3-wm (4.5.1-2) unstable; urgency=low

  * experimental to unstable because i3-wm 4.5.1 was only in experimental due
    to the freeze.
  * bump standards-version to 3.9.4 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 14 May 2013 20:48:16 +0200

i3-wm (4.5.1-1) experimental; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 18 Mar 2013 22:50:12 +0100

i3-wm (4.5-1) experimental; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 12 Mar 2013 13:51:04 +0100

i3-wm (4.4-1) experimental; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 11 Dec 2012 22:52:56 +0100

i3-wm (4.3-1) experimental; urgency=low

  * New upstream release

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 19 Sep 2012 18:13:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,32 @@
 Section: x11
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libx11-dev, libxcb-util0-dev (>= 0.3.8), libxcb-keysyms1-dev, libxcb-xinerama0-dev (>= 1.1), libxcb-randr0-dev, libxcb-icccm4-dev, libxcursor-dev, asciidoc (>= 8.4.4), xmlto, docbook-xml, pkg-config, libev-dev, flex, bison, libyajl-dev, libpcre3-dev, libstartup-notification0-dev (>= 0.10)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~),
+               libx11-dev,
+               libxcb-util0-dev (>= 0.3.8),
+               libxcb-keysyms1-dev,
+               libxcb-xinerama0-dev (>= 1.1),
+               libxcb-randr0-dev,
+               libxcb-icccm4-dev,
+               libxcursor-dev,
+               asciidoc (>= 8.4.4),
+               xmlto,
+               docbook-xml,
+               pkg-config,
+               libev-dev (>= 1:4.04),
+               libyajl-dev,
+               libpcre3-dev,
+               libstartup-notification0-dev (>= 0.10),
+               libcairo2-dev,
+               libpango1.0-dev,
+               libpod-simple-perl
+Standards-Version: 3.9.4
 Homepage: http://i3wm.org/
 
 Package: i3
 Architecture: any
 Depends: i3-wm (=${binary:Version}), ${misc:Depends}
-Recommends: i3lock (>= 2.2), suckless-tools, i3status (>= 2.3)
+Recommends: i3lock (>= 2.2), suckless-tools, i3status (>= 2.3), dunst
 Description: metapackage (i3 window manager, screen locker, menu, statusbar)
  This metapackage installs the i3 window manager (i3-wm), the i3lock screen
  locker, i3status (for system information) and suckless-tools (for dmenu).

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	$(MAKE) -C docs
 
 override_dh_installchangelogs:
-	dh_installchangelogs RELEASE-NOTES-4.2
+	dh_installchangelogs RELEASE-NOTES-4.5.1
 
 override_dh_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i3-wm/ install

## i3-wm 4.7.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	[ ! -d i3-${VERSION} ] || rm -rf i3-${VERSION}
 	[ ! -e i3-${VERSION}.tar.bz2 ] || rm i3-${VERSION}.tar.bz2
 	mkdir i3-${VERSION}
-	cp i3-migrate-config-to-v4 generate-command-parser.pl i3-sensible-* i3-dmenu-desktop i3.config.keycodes DEPENDS LICENSE PACKAGE-MAINTAINER RELEASE-NOTES-${VERSION} i3.config i3.xsession.desktop i3.applications.desktop pseudo-doc.doxygen common.mk Makefile i3-${VERSION}
+	cp i3-migrate-config-to-v4 generate-command-parser.pl i3-sensible-* i3-dmenu-desktop i3.config.keycodes DEPENDS LICENSE PACKAGE-MAINTAINER RELEASE-NOTES-${VERSION} i3.config i3.xsession.desktop i3-with-shmlog.xsession.desktop i3.applications.desktop pseudo-doc.doxygen common.mk Makefile i3-${VERSION}
 	cp -r src libi3 i3-msg i3-nagbar i3-config-wizard i3bar i3-dump-log yajl-fallback include man parser-specs testcases i3-${VERSION}
 	# Only copy toplevel documentation (important stuff)
 	mkdir i3-${VERSION}/docs

=== docs/Makefile ===
all:
	$(MAKE) -C .. docs

clean:
	$(MAKE) -C .. clean-docs

.PHONY: all clean

=== i3-config-wizard/Makefile ===
all:
	$(MAKE) -C .. i3-config-wizard/i3-config-wizard

install:
	$(MAKE) -C .. install-i3-config-wizard

clean:
	$(MAKE) -C .. clean-i3-config-wizard

.PHONY: all install clean

=== i3-nagbar/Makefile ===
all:
	$(MAKE) -C .. i3-nagbar/i3-nagbar

install:
	$(MAKE) -C .. install-i3-nagbar

clean:
	$(MAKE) -C .. clean-i3-nagbar

.PHONY: all install clean

=== i3bar/Makefile ===
all:
	$(MAKE) -C .. i3bar/i3bar

install:
	$(MAKE) -C .. install-i3bar

clean:
	$(MAKE) -C .. clean-i3bar

.PHONY: all install clean

=== libi3/Makefile ===
all:
	$(MAKE) -C .. libi3.a

clean:
	$(MAKE) -C .. clean-libi3

.PHONY: all clean

=== src/Makefile ===
all:
	$(MAKE) -C .. i3

install:
	$(MAKE) -C .. install-i3

clean:
	$(MAKE) -C .. clean-i3

.PHONY: all install clean

=== debian/changelog ===
i3-wm (4.7.2-1) unstable; urgency=low

  * New upstream release. (Closes: #736396)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 23 Jan 2014 23:03:03 +0100

i3-wm (4.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 21 Jan 2014 19:29:34 +0100

i3-wm (4.7-1) unstable; urgency=low

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 22 Dec 2013 21:19:02 +0100

i3-wm (4.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 07 Aug 2013 20:53:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libxcb-xinerama0-dev (>= 1.1),
                libxcb-randr0-dev,
                libxcb-icccm4-dev,
-               libxcursor-dev,
+               libxcb-cursor-dev,
                asciidoc (>= 8.4.4),
                xmlto,
                docbook-xml,
@@ -38,7 +38,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, x11-utils
 Provides: x-window-manager
 Suggests: rxvt-unicode | x-terminal-emulator
-Recommends: xfonts-base
+Recommends: xfonts-base, libanyevent-i3-perl, libjson-xs-perl
 Description: improved dynamic tiling window manager
  Key features of i3 are good documentation, reasonable defaults (changeable in
  a simple configuration file) and good multi-monitor support. The user

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	$(MAKE) -C docs
 
 override_dh_installchangelogs:
-	dh_installchangelogs RELEASE-NOTES-4.5.1
+	dh_installchangelogs RELEASE-NOTES-4.7.2
 
 override_dh_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i3-wm/ install

=== debian/watch ===
version=3
http://i3wm.org/downloads/ /downloads/i3-(.*)\.tar\.bz2

## i3-wm 4.8

=== Makefile ===
--- 
+++ 
@@ -30,8 +30,8 @@
 	[ ! -d i3-${VERSION} ] || rm -rf i3-${VERSION}
 	[ ! -e i3-${VERSION}.tar.bz2 ] || rm i3-${VERSION}.tar.bz2
 	mkdir i3-${VERSION}
-	cp i3-migrate-config-to-v4 generate-command-parser.pl i3-sensible-* i3-dmenu-desktop i3.config.keycodes DEPENDS LICENSE PACKAGE-MAINTAINER RELEASE-NOTES-${VERSION} i3.config i3.xsession.desktop i3-with-shmlog.xsession.desktop i3.applications.desktop pseudo-doc.doxygen common.mk Makefile i3-${VERSION}
-	cp -r src libi3 i3-msg i3-nagbar i3-config-wizard i3bar i3-dump-log yajl-fallback include man parser-specs testcases i3-${VERSION}
+	cp i3-migrate-config-to-v4 i3-save-tree generate-command-parser.pl i3-sensible-* i3-dmenu-desktop i3.config.keycodes DEPENDS LICENSE PACKAGE-MAINTAINER RELEASE-NOTES-${VERSION} i3.config i3.xsession.desktop i3-with-shmlog.xsession.desktop i3.applications.desktop pseudo-doc.doxygen common.mk Makefile i3-${VERSION}
+	cp -r src libi3 i3-msg i3-nagbar i3-config-wizard i3bar i3-dump-log include man parser-specs testcases i3-${VERSION}
 	# Only copy toplevel documentation (important stuff)
 	mkdir i3-${VERSION}/docs
 	# Pre-generate documentation

=== debian/changelog ===
i3-wm (4.8-2) unstable; urgency=medium

  * Backport two bugfixes:
    - backport-dpi-fix.patch (Closes: #778460)
    - backport-i3bar-tray-fix.patch (Closes: #778461)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 15 Feb 2015 13:24:42 +0100

i3-wm (4.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 3.9.5 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 15 Jun 2014 19:15:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                docbook-xml,
                pkg-config,
                libev-dev (>= 1:4.04),
-               libyajl-dev,
+               libyajl-dev (>= 2.0.4),
                libpcre3-dev,
                libstartup-notification0-dev (>= 0.10),
                libcairo2-dev,
                libpango1.0-dev,
                libpod-simple-perl
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://i3wm.org/
 
 Package: i3
@@ -38,7 +38,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, x11-utils
 Provides: x-window-manager
 Suggests: rxvt-unicode | x-terminal-emulator
-Recommends: xfonts-base, libanyevent-i3-perl, libjson-xs-perl
+Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl, libjson-xs-perl
 Description: improved dynamic tiling window manager
  Key features of i3 are good documentation, reasonable defaults (changeable in
  a simple configuration file) and good multi-monitor support. The user

## i3-wm 4.10.3

=== debian/changelog ===
i3-wm (4.10.3-1build1) wily; urgency=medium

  * No-change rebuild for libxcb-util.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:09:30 +0000

i3-wm (4.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 30 Jul 2015 21:51:27 +0200

i3-wm (4.10.2-2) unstable; urgency=medium

  * New upstream release.
  * experimental to unstable because i3-wm 4.10.2-1 was only in experimental
    due to the freeze.

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 01 May 2015 20:21:18 +0200

i3-wm (4.10.2-1) experimental; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 16 Apr 2015 09:02:53 +0200

i3-wm (4.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 29 Mar 2015 18:54:07 +0200

i3-wm (4.10-1) experimental; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 29 Mar 2015 17:46:09 +0200

i3-wm (4.9.1-1) experimental; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 07 Mar 2015 20:01:46 +0100

i3-wm (4.9-1) experimental; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 28 Feb 2015 14:53:34 +0100

## i3-wm 4.11

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,12 @@
 include i3-dump-log/i3-dump-log.mk
 include docs/docs.mk
 include man/man.mk
+
+# Update $(TOPDIR)/LAST_VERSION if it differs from $I3_VERSION
+CACHED_VERSION := '$(shell [ -f $(TOPDIR)/LAST_VERSION ] && cat $(TOPDIR)/LAST_VERSION)'
+ifneq ($(CACHED_VERSION),$(I3_VERSION))
+$(shell echo -n ${I3_VERSION} > $(TOPDIR)/LAST_VERSION)
+endif
 
 real-all: $(ALL_TARGETS)

=== i3-dump-log/Makefile ===
all:
	$(MAKE) -C .. i3-dump-log/i3-dump-log

install:
	$(MAKE) -C .. install-i3-dump-log

clean:
	$(MAKE) -C .. clean-i3-dump-log

.PHONY: all install clean

=== i3-msg/Makefile ===
all:
	$(MAKE) -C .. i3-msg/i3-msg

install:
	$(MAKE) -C .. install-i3-msg

clean:
	$(MAKE) -C .. clean-i3-msg

.PHONY: all install clean

=== man/Makefile ===
all:
	$(MAKE) -C .. mans

clean:
	$(MAKE) -C .. clean-mans

.PHONY: all clean

=== debian/changelog ===
i3-wm (4.11-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 30 Sep 2015 08:50:13 +0200

i3-wm (4.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 08 Sep 2015 09:15:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	$(MAKE) -C docs
 
 override_dh_installchangelogs:
-	dh_installchangelogs RELEASE-NOTES-4.7.2
+	dh_installchangelogs RELEASE-NOTES-*
 
 override_dh_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/i3-wm/ install

## i3-wm 4.12

=== debian/changelog ===
i3-wm (4.12-2) unstable; urgency=medium

  * Override lintian warning desktop-entry-contains-unknown-key for
    DesktopNames, gdm needs that key.
  * Remove i3-wm.menu to conform to the tech-ctte decision on #741573.

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 01 Apr 2016 15:51:23 +0200

i3-wm (4.12-1) unstable; urgency=medium

  * New upstream release.
  * Move to debhelper 9
  * Bump Standards-Version to 3.9.7 (no changes necessary)
  * debian/watch: verify signature, use https
  * Enable full hardening

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 06 Mar 2016 14:20:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                libx11-dev,
                libxcb-util0-dev (>= 0.3.8),
                libxcb-keysyms1-dev,
@@ -10,6 +10,9 @@
                libxcb-randr0-dev,
                libxcb-icccm4-dev,
                libxcb-cursor-dev,
+               libxcb-xkb-dev,
+               libxkbcommon-dev (>= 0.4.0),
+               libxkbcommon-x11-dev (>= 0.4.0),
                asciidoc (>= 8.4.4),
                xmlto,
                docbook-xml,
@@ -21,7 +24,7 @@
                libcairo2-dev,
                libpango1.0-dev,
                libpod-simple-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://i3wm.org/
 
 Package: i3
@@ -37,8 +40,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, x11-utils
 Provides: x-window-manager
-Suggests: rxvt-unicode | x-terminal-emulator
-Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl, libjson-xs-perl
+Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl (>= 0.12), libjson-xs-perl, rxvt-unicode | x-terminal-emulator
 Description: improved dynamic tiling window manager
  Key features of i3 are good documentation, reasonable defaults (changeable in
  a simple configuration file) and good multi-monitor support. The user

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export V:=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build -- all docs mans

override_dh_installchangelogs:
	dh_installchangelogs RELEASE-NOTES-*

override_dh_strip:
	dh_strip --dbg-package=i3-wm-dbg

%:
	dh $@ --parallel

## i3-wm 4.13

=== debian/changelog ===
i3-wm (4.13-1mx150+1) mx; urgency=medium

  * Rpackaged for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Wed, 09 Nov 2016 19:57:12 -0600

i3-wm (4.13-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 08 Nov 2016 19:02:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: i3-wm
 Section: x11
 Priority: extra
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Bugs: mailto: v3g4n@mxlinux.org
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libx11-dev,
                libxcb-util0-dev (>= 0.3.8),
                libxcb-keysyms1-dev,
@@ -10,6 +13,7 @@
                libxcb-randr0-dev,
                libxcb-icccm4-dev,
                libxcb-cursor-dev,
+               libxcb-xrm-dev,
                libxcb-xkb-dev,
                libxkbcommon-dev (>= 0.4.0),
                libxkbcommon-x11-dev (>= 0.4.0),
@@ -19,12 +23,12 @@
                pkg-config,
                libev-dev (>= 1:4.04),
                libyajl-dev (>= 2.0.4),
-               libpcre3-dev,
+               libpcre3-dev (>= 1:8.10),
                libstartup-notification0-dev (>= 0.10),
-               libcairo2-dev,
+               libcairo2-dev (>= 1.14.4),
                libpango1.0-dev,
                libpod-simple-perl
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://i3wm.org/
 
 Package: i3

## i3-wm 4.14.1

=== debian/changelog ===
i3-wm (4.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 24 Sep 2017 19:21:15 +0200

i3-wm (4.14-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 04 Sep 2017 07:53:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: i3-wm
 Section: x11
 Priority: extra
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Bugs: mailto: v3g4n@mxlinux.org
+Maintainer: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libx11-dev,
@@ -29,7 +27,7 @@
                libpango1.0-dev,
                libpod-simple-perl
 Standards-Version: 3.9.8
-Homepage: http://i3wm.org/
+Homepage: https://i3wm.org/
 
 Package: i3
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export V:=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installchangelogs:
	dh_installchangelogs RELEASE-NOTES-*

override_dh_strip:
	dh_strip --dbg-package=i3-wm-dbg

override_dh_auto_test:
	# TODO: enable tests

override_dh_auto_configure:
	# The default is /usr/share/doc/i3
	dh_auto_configure -- --docdir=/usr/share/doc/i3-wm

%:
	dh $@ --parallel --builddirectory=build --with=autoreconf

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/downloads/ /downloads/i3-(.*)\.tar\.bz2

## i3-wm 4.15

=== debian/changelog ===
i3-wm (4.15-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Mar 2018 17:27:26 +0100

## i3-wm 4.16.1

=== debian/changelog ===
i3-wm (4.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 27 Jan 2019 16:45:11 +0100

i3-wm (4.16-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 04 Nov 2018 14:47:25 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libxcb-cursor-dev,
                libxcb-xrm-dev,
                libxcb-xkb-dev,
+               libxcb-shape0-dev,
                libxkbcommon-dev (>= 0.4.0),
                libxkbcommon-x11-dev (>= 0.4.0),
                asciidoc (>= 8.4.4),
@@ -40,7 +41,7 @@
 
 Package: i3-wm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, x11-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Provides: x-window-manager
 Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl (>= 0.12), libjson-xs-perl, rxvt-unicode | x-terminal-emulator
 Description: improved dynamic tiling window manager

## i3-wm 4.17.1

=== debian/changelog ===
i3-wm (4.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders
  * Change Priority to optional
  * Add Vcs-*

 -- Jakob Haufe <sur5r@debian.org>  Fri, 18 Oct 2019 20:23:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: i3-wm
 Section: x11
-Priority: extra
+Priority: optional
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
+Uploaders: Jakob Haufe <sur5r@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libx11-dev,
@@ -29,6 +30,8 @@
                libpod-simple-perl
 Standards-Version: 3.9.8
 Homepage: https://i3wm.org/
+Vcs-Git: https://salsa.debian.org/i3-team/i3-wm.git
+Vcs-Browser: https://salsa.debian.org/i3-team/i3-wm
 
 Package: i3
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,9 @@
 	# The default is /usr/share/doc/i3
 	dh_auto_configure -- --docdir=/usr/share/doc/i3-wm
 
+override_dh_builddeb:
+	# bintray does not support xz currently.
+	dh_builddeb -- -Zgzip
+
 %:
 	dh $@ --parallel --builddirectory=build --with=autoreconf

## i3-wm 4.18

=== debian/changelog ===
i3-wm (4.18-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages hard dependencies for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Sep 2020 11:27:52 -0700

i3-wm (4.18-1) unstable; urgency=medium

  * New upstream release.

 -- Jakob Haufe <sur5r@debian.org>  Wed, 29 Apr 2020 18:08:26 +0200

=== debian/control ===
Source: i3-wm
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Michael Stapelberg <stapelberg@debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends: asciidoc (>= 8.4.4),
               debhelper (>= 9),
               dh-autoreconf,
               docbook-xml,
               libcairo2-dev (>= 1.14.4),
               libev-dev (>= 1:4.04),
               libpango1.0-dev,
               libpcre3-dev (>= 1:8.10),
               libpod-simple-perl,
               libstartup-notification0-dev (>= 0.10),
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util0-dev (>= 0.3.8),
               libxcb-xinerama0-dev (>= 1.1),
               libxcb-xkb-dev,
               libxcb-xrm-dev,
               libxkbcommon-dev (>= 0.4.0),
               libxkbcommon-x11-dev (>= 0.4.0),
               libyajl-dev (>= 2.0.4),
               pkg-config,
               xmlto
Standards-Version: 3.9.8
Homepage: https://i3wm.org/
Vcs-Git: https://salsa.debian.org/i3-team/i3-wm.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3-wm

Package: i3
Architecture: any
Depends: i3-wm (=${binary:Version}), ${misc:Depends},
         dunst, i3lock (>= 2.2), i3status (>= 2.3), suckless-tools
Recommends: dunst, i3lock (>= 2.2), i3status (>= 2.3), suckless-tools
Description: metapackage (i3 window manager, screen locker, menu, statusbar)
 This metapackage installs the i3 window manager (i3-wm), the i3lock screen
 locker, i3status (for system information) and suckless-tools (for dmenu).
 These are all the tools you need to use the i3 window manager efficiently.

Package: i3-wm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
            fonts-dejavu-core,
            libanyevent-i3-perl (>= 0.12),
            libjson-xs-perl,
            rxvt-unicode | x-terminal-emulator,
            xfonts-base
Provides: x-window-manager
Description: improved dynamic tiling window manager
 Key features of i3 are good documentation, reasonable defaults (changeable in
 a simple configuration file) and good multi-monitor support. The user
 interface is designed for power users and emphasizes keyboard usage. i3 uses
 XCB for asynchronous communication with X11 and aims to be fast and
 light-weight.
 .
 Please be aware i3 is primarily targeted at advanced users and developers.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 	dh_installchangelogs RELEASE-NOTES-*
 
 override_dh_strip:
-	dh_strip --dbg-package=i3-wm-dbg
-
+	dh_strip --no-automatic-dbg
 override_dh_auto_test:
 	# TODO: enable tests

## i3-wm 4.18.2

=== debian/changelog ===
i3-wm (4.18.2-5+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 09 Nov 2021 06:46:30 +0100

i3-wm (4.18.2-5) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: allow reprobuild to fail for now
  * Revert "gitlab-ci: allow reprobuild to fail for now"

  [ Frédéric Pierret (fepitre) ]
  * Improve reproducibility
  * spec: fix automake build error

  [ Demi Marie Obenour ]
  * Switch from wget to curl
  * Clean up Makefile

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Nov 2021 06:46:30 +0100

i3-wm (4.18.2-4) unstable; urgency=medium

  [ Daniel Moerner ]
  * Add upstream patch to kick tray clients earlier (upstream #4159)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Oct 2020 03:28:55 +0200

i3-wm (4.18.2-3) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Remove useless/missing deps
  * spec: don't fails with CentOS 7 due to older rpm

  [ Marek Marczykowski-Górecki ]
  * version 4.18.2-2

  [ Frédéric Pierret (fepitre) ]
  * Update travis
  * Disable build for CentOS 7
  * debian: initial packaging from upstream

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Sep 2020 00:49:56 +0200

i3-wm (4.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org>  Sun, 11 Aug 2020 10:00:00 +0200

## i3-wm 4.18.2.0antix1

=== debian/changelog ===
i3-wm (4.18.2.0antix1) unstable; urgency=medium

  * New upstream rlease
  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Fri, 25 Sep 2020 14:51:45 +0300

## i3-wm 4.19

=== debian/changelog ===
i3-wm (4.19-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Mon, 16 Nov 2020 23:33:06 +0200

i3-wm (4.19-1) unstable; urgency=medium

  * New upstream version 4.19
  * Update watchfile to accept any compression type
  * Drop explicit -dbg package
  * Add Rules-Requires-Root: no
  * Drop custom compression
  * New patch: fix-perl-interpreter-path
  * Update Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Sun, 15 Nov 2020 20:42:58 +0000
